petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatDenseReplaceArray

Allows one to replace the array in a dense matrix with an array provided by the user. This is useful to avoid copying an array into a matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseReplaceArray(Mat mat,const PetscScalar *array)

Not Collective

### Input Parameters

| mat | - the matrix
| array | - the array in column major order

### Notes

The memory passed in MUST be obtained with PetscMalloc() and CANNOT be freed by the user. It will be freed when the matrix is destroyed.

### See Also

MatDenseGetArray(), VecReplaceArray()

### Level

developer

### Location

src/mat/impls/dense/mpi/mpidense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages